#include "src/game/envfx_snow.h"

const GeoLayout assets_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_Left_Hand_Open[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Open_Switch_Option_Left_Hand_Switch_mesh_layer_1),
		GEO_OPEN_NODE(),
			GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_Left_Hand_Peace[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Peace_Switch_Option_Left_Hand_Peace_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_Left_Hand_Cap[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Switch_Option_Left_Hand_Cap_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_Left_Hand_Wing_Cap[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Switch_mesh_layer_1),
		GEO_OPEN_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Open_Switch_Option_Left_Hand_Switch_mesh_layer_1),
			GEO_OPEN_NODE(),
				GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Peace_Switch_Option_Left_Hand_Peace_mesh_layer_1),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Switch_Option_Left_Hand_Cap_mesh_layer_1),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Switch_mesh_layer_1),
			GEO_OPEN_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
		GEO_OPEN_NODE(),
			GEO_NODE_START(),
			GEO_OPEN_NODE(),
				GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_tired_1),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_half_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_closed_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_dead_4),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt4[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_half_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt5[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_closed_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt6[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_dead_4),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt7[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_dead_4),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 14, 0, assets_Butt_mesh_layer_1),
			GEO_OPEN_NODE(),
				GEO_ASM(0, geo_move_mario_part_from_parent),
				GEO_ASM(0, geo_mario_tilt_torso),
				GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 52, 0, assets_Torso_mesh_layer_1),
					GEO_OPEN_NODE(),
						GEO_ASM(0, geo_switch_mario_cap_on_off),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 102, 95, 0, NULL),
						GEO_OPEN_NODE(),
							GEO_ASM(0, geo_mario_head_rotation),
							GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
							GEO_OPEN_NODE(),
								GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
								GEO_OPEN_NODE(),
									GEO_NODE_START(),
									GEO_OPEN_NODE(),
										GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
										GEO_OPEN_NODE(),
											GEO_NODE_START(),
											GEO_OPEN_NODE(),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1),
											GEO_CLOSE_NODE(),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt1),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt2),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt3),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt4),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt5),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt6),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt7),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
									GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 35, 67, 34, NULL),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_TRANSPARENT, 10, 0, 0, assets_Left_Forearm_mesh_layer_1),
								GEO_OPEN_NODE(),
									GEO_SWITCH_CASE(1, geo_switch_mario_hand),
									GEO_OPEN_NODE(),
										GEO_NODE_START(),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 60, -7, 0, NULL),
											GEO_OPEN_NODE(),
												GEO_ASM(1, geo_mario_hand_foot_scaler),
												GEO_SCALE(LAYER_FORCE, 65536),
												GEO_OPEN_NODE(),
													GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_DL_mesh_layer_1),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Right_Hand_Open),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_TRANSLATE_ROTATE(LAYER_FORCE, 70, 44, 38, -15, 33, -133),
						GEO_OPEN_NODE(),
							GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
							GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
							GEO_OPEN_NODE(),
								GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Wing_DL_mesh_layer_4),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 35, 67, -34, NULL),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_TRANSPARENT, 10, 0, 0, assets_Right_Forearm_mesh_layer_1),
								GEO_OPEN_NODE(),
									GEO_SWITCH_CASE(0, geo_switch_mario_hand),
									GEO_OPEN_NODE(),
										GEO_NODE_START(),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 60, -7, 0, NULL),
											GEO_OPEN_NODE(),
												GEO_ASM(0, geo_mario_hand_foot_scaler),
												GEO_SCALE(LAYER_FORCE, 65536),
												GEO_OPEN_NODE(),
													GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Hand_DL_mesh_layer_1),
												GEO_CLOSE_NODE(),
												GEO_HELD_OBJECT(0, 1, 0, 0, geo_switch_mario_hand_grab_pos),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Open),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Peace),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Cap),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Wing_Cap),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_TRANSLATE_ROTATE(LAYER_FORCE, 70, 44, -38, 15, -33, -133),
						GEO_OPEN_NODE(),
							GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
							GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
							GEO_OPEN_NODE(),
								GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Wing_DL_mesh_layer_4),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -31, 13, 65, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 40, 0, 0, assets_Left_Leg_mesh_layer_1),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_TRANSPARENT, 82, 0, 0, assets_Left_Shoe_mesh_layer_1),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -26, 13, -55, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 40, 0, 0, assets_Right_Leg_mesh_layer_1),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 82, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ASM(2, geo_mario_hand_foot_scaler),
								GEO_SCALE(LAYER_FORCE, 65536),
								GEO_OPEN_NODE(),
									GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Shoe_DL_mesh_layer_1),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Open_Switch_Option_Left_Hand_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_OPEN_NODE(),
				GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Peace_Switch_Option_Left_Hand_Peace_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Switch_Option_Left_Hand_Cap_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_OPEN_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 14, 0, assets_Butt_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_OPEN_NODE(),
				GEO_ASM(0, geo_move_mario_part_from_parent),
				GEO_ASM(0, geo_mario_tilt_torso),
				GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 52, 0, assets_Torso_mesh_layer_1_mat_override_Metal__METAL__0),
					GEO_OPEN_NODE(),
						GEO_ASM(0, geo_switch_mario_cap_on_off),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 102, 95, 0, NULL),
						GEO_OPEN_NODE(),
							GEO_ASM(0, geo_mario_head_rotation),
							GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
							GEO_OPEN_NODE(),
								GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
								GEO_OPEN_NODE(),
									GEO_NODE_START(),
									GEO_OPEN_NODE(),
										GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
										GEO_OPEN_NODE(),
											GEO_NODE_START(),
											GEO_OPEN_NODE(),
												GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_Metal__METAL__0),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 35, 67, 34, NULL),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 10, 0, 0, assets_Left_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
								GEO_OPEN_NODE(),
									GEO_SWITCH_CASE(1, geo_switch_mario_hand),
									GEO_OPEN_NODE(),
										GEO_NODE_START(),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 60, -7, 0, NULL),
											GEO_OPEN_NODE(),
												GEO_ASM(1, geo_mario_hand_foot_scaler),
												GEO_SCALE(LAYER_FORCE, 65536),
												GEO_OPEN_NODE(),
													GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Left_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Right_Hand_Open),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_TRANSLATE_ROTATE(LAYER_FORCE, 70, 44, 38, -15, 33, -133),
						GEO_OPEN_NODE(),
							GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
							GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
							GEO_OPEN_NODE(),
								GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Left_Wing_DL_mesh_layer_4_mat_override_Metal__METAL__0),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 35, 67, -34, NULL),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 10, 0, 0, assets_Right_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
								GEO_OPEN_NODE(),
									GEO_SWITCH_CASE(0, geo_switch_mario_hand),
									GEO_OPEN_NODE(),
										GEO_NODE_START(),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 60, -7, 0, NULL),
											GEO_OPEN_NODE(),
												GEO_ASM(0, geo_mario_hand_foot_scaler),
												GEO_SCALE(LAYER_FORCE, 65536),
												GEO_OPEN_NODE(),
													GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Right_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
												GEO_CLOSE_NODE(),
												GEO_HELD_OBJECT(0, 1, 0, 0, geo_switch_mario_hand_grab_pos),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Open),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Peace),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Cap),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Wing_Cap),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_TRANSLATE_ROTATE(LAYER_FORCE, 70, 44, -38, 15, -33, -133),
						GEO_OPEN_NODE(),
							GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
							GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
							GEO_OPEN_NODE(),
								GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Right_Wing_DL_mesh_layer_4_mat_override_Metal__METAL__0),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -31, 13, 65, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 40, 0, 0, assets_Left_Leg_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 82, 0, 0, assets_Left_Shoe_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -26, 13, -55, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 40, 0, 0, assets_Right_Leg_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 82, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ASM(2, geo_mario_hand_foot_scaler),
								GEO_SCALE(LAYER_FORCE, 65536),
								GEO_OPEN_NODE(),
									GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Right_Shoe_DL_mesh_layer_1_mat_override_Metal__METAL__0),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Open_Switch_Option_Left_Hand_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_OPEN_NODE(),
				GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Peace_Switch_Option_Left_Hand_Peace_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Switch_Option_Left_Hand_Cap_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 1, 0, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_OPEN_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 14, 0, assets_Butt_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_OPEN_NODE(),
				GEO_ASM(0, geo_move_mario_part_from_parent),
				GEO_ASM(0, geo_mario_tilt_torso),
				GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 52, 0, assets_Torso_mesh_layer_1_mat_override_Metal__METAL__0),
					GEO_OPEN_NODE(),
						GEO_ASM(0, geo_switch_mario_cap_on_off),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 102, 95, 0, NULL),
						GEO_OPEN_NODE(),
							GEO_ASM(0, geo_mario_head_rotation),
							GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
							GEO_OPEN_NODE(),
								GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
								GEO_OPEN_NODE(),
									GEO_NODE_START(),
									GEO_OPEN_NODE(),
										GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
										GEO_OPEN_NODE(),
											GEO_NODE_START(),
											GEO_OPEN_NODE(),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_Metal__METAL__0),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 35, 67, 34, NULL),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_TRANSPARENT, 10, 0, 0, assets_Left_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
								GEO_OPEN_NODE(),
									GEO_SWITCH_CASE(1, geo_switch_mario_hand),
									GEO_OPEN_NODE(),
										GEO_NODE_START(),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 60, -7, 0, NULL),
											GEO_OPEN_NODE(),
												GEO_ASM(1, geo_mario_hand_foot_scaler),
												GEO_SCALE(LAYER_FORCE, 65536),
												GEO_OPEN_NODE(),
													GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Right_Hand_Open),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_TRANSLATE_ROTATE(LAYER_FORCE, 70, 44, 38, -15, 33, -133),
						GEO_OPEN_NODE(),
							GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
							GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
							GEO_OPEN_NODE(),
								GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Wing_DL_mesh_layer_4_mat_override_Metal__METAL__0),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 35, 67, -34, NULL),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_TRANSPARENT, 10, 0, 0, assets_Right_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
								GEO_OPEN_NODE(),
									GEO_SWITCH_CASE(0, geo_switch_mario_hand),
									GEO_OPEN_NODE(),
										GEO_NODE_START(),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 60, -7, 0, NULL),
											GEO_OPEN_NODE(),
												GEO_ASM(0, geo_mario_hand_foot_scaler),
												GEO_SCALE(LAYER_FORCE, 65536),
												GEO_OPEN_NODE(),
													GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
												GEO_CLOSE_NODE(),
												GEO_HELD_OBJECT(0, 1, 0, 0, geo_switch_mario_hand_grab_pos),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Open),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Peace),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Cap),
										GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Wing_Cap),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_TRANSLATE_ROTATE(LAYER_FORCE, 70, 44, -38, 15, -33, -133),
						GEO_OPEN_NODE(),
							GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
							GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
							GEO_OPEN_NODE(),
								GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Wing_DL_mesh_layer_4_mat_override_Metal__METAL__0),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -31, 13, 65, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 40, 0, 0, assets_Left_Leg_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_TRANSPARENT, 82, 0, 0, assets_Left_Shoe_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -26, 13, -55, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 40, 0, 0, assets_Right_Leg_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 82, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ASM(2, geo_mario_hand_foot_scaler),
								GEO_SCALE(LAYER_FORCE, 65536),
								GEO_OPEN_NODE(),
									GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Shoe_DL_mesh_layer_1_mat_override_Metal__METAL__0),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
		GEO_OPEN_NODE(),
			GEO_NODE_START(),
			GEO_OPEN_NODE(),
				GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_tired_1),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_half_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_closed_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_dead_4),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt4[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_half_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt5[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_closed_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt6[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_dead_4),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt7[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_dead_4),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout mario_geo[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_SHADOW(1, 180, 85),
		GEO_OPEN_NODE(),
			GEO_SCALE(LAYER_FORCE, 16384),
			GEO_OPEN_NODE(),
				GEO_ASM(0, geo_mirror_mario_backface_culling),
				GEO_ASM(0, geo_mario_set_player_colors),
				GEO_ASM(0, geo_mirror_mario_set_alpha),
				GEO_SWITCH_CASE(0, geo_switch_mario_stand_run),
				GEO_OPEN_NODE(),
					GEO_NODE_START(),
					GEO_OPEN_NODE(),
						GEO_SWITCH_CASE(0, geo_switch_mario_cap_effect),
						GEO_OPEN_NODE(),
							GEO_NODE_START(),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 14, 0, assets_Butt_mesh_layer_1),
									GEO_OPEN_NODE(),
										GEO_ASM(0, geo_move_mario_part_from_parent),
										GEO_ASM(0, geo_mario_tilt_torso),
										GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 52, 0, assets_Torso_mesh_layer_1),
											GEO_OPEN_NODE(),
												GEO_ASM(0, geo_switch_mario_cap_on_off),
												GEO_ANIMATED_PART(LAYER_OPAQUE, 102, 95, 0, NULL),
												GEO_OPEN_NODE(),
													GEO_ASM(0, geo_mario_head_rotation),
													GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
													GEO_OPEN_NODE(),
														GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
														GEO_OPEN_NODE(),
															GEO_NODE_START(),
															GEO_OPEN_NODE(),
																GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
																GEO_OPEN_NODE(),
																	GEO_NODE_START(),
																	GEO_OPEN_NODE(),
																		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1),
																	GEO_CLOSE_NODE(),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt1),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt2),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt3),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt4),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt5),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt6),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt7),
																GEO_CLOSE_NODE(),
															GEO_CLOSE_NODE(),
															GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_ANIMATED_PART(LAYER_OPAQUE, 35, 67, 34, NULL),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 10, 0, 0, assets_Left_Forearm_mesh_layer_1),
														GEO_OPEN_NODE(),
															GEO_SWITCH_CASE(1, geo_switch_mario_hand),
															GEO_OPEN_NODE(),
																GEO_NODE_START(),
																GEO_OPEN_NODE(),
																	GEO_ANIMATED_PART(LAYER_OPAQUE, 60, -7, 0, NULL),
																	GEO_OPEN_NODE(),
																		GEO_ASM(1, geo_mario_hand_foot_scaler),
																		GEO_SCALE(LAYER_FORCE, 65536),
																		GEO_OPEN_NODE(),
																			GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Left_Hand_DL_mesh_layer_1),
																		GEO_CLOSE_NODE(),
																	GEO_CLOSE_NODE(),
																GEO_CLOSE_NODE(),
																GEO_BRANCH(1, assets_Right_Hand_Open),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_TRANSLATE_ROTATE(LAYER_FORCE, 70, 44, 38, -15, 33, -133),
												GEO_OPEN_NODE(),
													GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
													GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
													GEO_OPEN_NODE(),
														GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Left_Wing_DL_mesh_layer_4),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_ANIMATED_PART(LAYER_OPAQUE, 35, 67, -34, NULL),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 10, 0, 0, assets_Right_Forearm_mesh_layer_1),
														GEO_OPEN_NODE(),
															GEO_SWITCH_CASE(0, geo_switch_mario_hand),
															GEO_OPEN_NODE(),
																GEO_NODE_START(),
																GEO_OPEN_NODE(),
																	GEO_ANIMATED_PART(LAYER_OPAQUE, 60, -7, 0, NULL),
																	GEO_OPEN_NODE(),
																		GEO_ASM(0, geo_mario_hand_foot_scaler),
																		GEO_SCALE(LAYER_FORCE, 65536),
																		GEO_OPEN_NODE(),
																			GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Right_Hand_DL_mesh_layer_1),
																		GEO_CLOSE_NODE(),
																		GEO_HELD_OBJECT(0, 1, 0, 0, geo_switch_mario_hand_grab_pos),
																	GEO_CLOSE_NODE(),
																GEO_CLOSE_NODE(),
																GEO_BRANCH(1, assets_Left_Hand_Open),
																GEO_BRANCH(1, assets_Left_Hand_Peace),
																GEO_BRANCH(1, assets_Left_Hand_Cap),
																GEO_BRANCH(1, assets_Left_Hand_Wing_Cap),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_TRANSLATE_ROTATE(LAYER_FORCE, 70, 44, -38, 15, -33, -133),
												GEO_OPEN_NODE(),
													GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
													GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
													GEO_OPEN_NODE(),
														GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Right_Wing_DL_mesh_layer_4),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_ANIMATED_PART(LAYER_OPAQUE, -31, 13, 65, NULL),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
											GEO_OPEN_NODE(),
												GEO_ANIMATED_PART(LAYER_OPAQUE, 40, 0, 0, assets_Left_Leg_mesh_layer_1),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 82, 0, 0, assets_Left_Shoe_mesh_layer_1),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_ANIMATED_PART(LAYER_OPAQUE, -26, 13, -55, NULL),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
											GEO_OPEN_NODE(),
												GEO_ANIMATED_PART(LAYER_OPAQUE, 40, 0, 0, assets_Right_Leg_mesh_layer_1),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 82, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ASM(2, geo_mario_hand_foot_scaler),
														GEO_SCALE(LAYER_FORCE, 65536),
														GEO_OPEN_NODE(),
															GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Right_Shoe_DL_mesh_layer_1),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ASM(1, geo_mirror_mario_backface_culling),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_END(),
};
