#include "src/game/envfx_snow.h"

const GeoLayout assets_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Open_Switch_Option_Left_Hand_Switch_mesh_layer_1),
		GEO_OPEN_NODE(),
			GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_Left_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Peace_Switch_Option_Left_Hand_Peace_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_Left_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Switch_Option_Left_Hand_Cap_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_Left_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Switch_mesh_layer_1),
		GEO_OPEN_NODE(),
			GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_skinned_mesh_layer_1),
			GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_1),
			GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_4),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Half_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Closed_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt4[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Half_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt5[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Closed_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt6[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt7[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_Mario_capless[] = {
	GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 173, 3, 0, 0, 0, 0),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, -101, 3, 0, assets_2_Torso_Rotation_Torso_mesh_layer_1),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_OPAQUE, 105, 0, 0, NULL),
			GEO_OPEN_NODE(),
				GEO_ASM(0, geo_mario_head_rotation),
				GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
				GEO_OPEN_NODE(),
					GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
					GEO_OPEN_NODE(),
						GEO_NODE_START(),
						GEO_OPEN_NODE(),
							GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Head_DL_mesh_layer_1),
							GEO_DISPLAY_LIST(LAYER_ALPHA, assets_2_Torso_Rotation_Head_DL_mesh_layer_4),
							GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5),
						GEO_CLOSE_NODE(),
						GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt1),
						GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt2),
						GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt3),
						GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt4),
						GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt5),
						GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt6),
						GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt1_Eye_Material_Switch_opt7),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
			GEO_ANIMATED_PART(LAYER_OPAQUE, 68, 20, 59, NULL),
			GEO_OPEN_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_2_Torso_Rotation_Left_Arm_Color_mesh_layer_1),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 39, 0, 0, assets_2_Torso_Rotation_Left_Forearm_mesh_layer_1),
					GEO_OPEN_NODE(),
						GEO_SWITCH_CASE(1, geo_switch_mario_hand),
						GEO_OPEN_NODE(),
							GEO_NODE_START(),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 88, 0, 0, NULL),
								GEO_OPEN_NODE(),
									GEO_ASM(1, geo_mario_hand_foot_scaler),
									GEO_SCALE(LAYER_FORCE, 65536),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Left_Hand_DL_mesh_layer_1),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
							GEO_BRANCH(1, assets_Right_Hand_Open),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
			GEO_ANIMATED_PART(LAYER_OPAQUE, 69, 20, -61, NULL),
			GEO_OPEN_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_2_Torso_Rotation_Right_Arm_Color_mesh_layer_1),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 40, 0, 0, assets_2_Torso_Rotation_Right_Forearm_mesh_layer_1),
					GEO_OPEN_NODE(),
						GEO_SWITCH_CASE(0, geo_switch_mario_hand),
						GEO_OPEN_NODE(),
							GEO_NODE_START(),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 84, 0, 0, NULL),
								GEO_OPEN_NODE(),
									GEO_ASM(0, geo_mario_hand_foot_scaler),
									GEO_SCALE(LAYER_FORCE, 65536),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Right_Hand_DL_mesh_layer_1),
									GEO_CLOSE_NODE(),
									GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
							GEO_BRANCH(1, assets_Left_Hand_Open),
							GEO_BRANCH(1, assets_Left_Hand_Peace),
							GEO_BRANCH(1, assets_Left_Hand_Cap),
							GEO_BRANCH(1, assets_Left_Hand_Wing_Cap),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Open_Switch_Option_Left_Hand_Switch_mesh_layer_1),
		GEO_OPEN_NODE(),
			GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Peace_Switch_Option_Left_Hand_Peace_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Switch_Option_Left_Hand_Cap_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Switch_mesh_layer_1),
		GEO_OPEN_NODE(),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_skinned_mesh_layer_1),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_1),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_4),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless_jump_assets_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless_jump_assets_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Open_Switch_Option_Left_Hand_Switch_mesh_layer_1),
		GEO_OPEN_NODE(),
			GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless_jump_assets_Left_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Peace_Switch_Option_Left_Hand_Peace_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless_jump_assets_Left_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Switch_Option_Left_Hand_Cap_mesh_layer_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless_jump_assets_Left_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Switch_mesh_layer_1),
		GEO_OPEN_NODE(),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_skinned_mesh_layer_1),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_1),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_4),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Half_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Closed_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt4[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Half_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt5[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Closed_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt6[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt7[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 173, 3, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, -101, 3, 0, assets_2_Torso_Rotation_Torso_mesh_layer_1),
			GEO_OPEN_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, 105, 0, 0, NULL),
				GEO_OPEN_NODE(),
					GEO_ASM(0, geo_mario_head_rotation),
					GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
					GEO_OPEN_NODE(),
						GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
						GEO_OPEN_NODE(),
							GEO_NODE_START(),
							GEO_OPEN_NODE(),
								GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_1),
								GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_4),
								GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5),
							GEO_CLOSE_NODE(),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt1),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt2),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt3),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt4),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt5),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt6),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt1_Eye_Material_Switch_opt7),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, 68, 20, 59, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_2_Torso_Rotation_Left_Arm_Color_mesh_layer_1),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 39, 0, 0, assets_2_Torso_Rotation_Left_Forearm_mesh_layer_1),
						GEO_OPEN_NODE(),
							GEO_SWITCH_CASE(1, geo_switch_mario_hand),
							GEO_OPEN_NODE(),
								GEO_NODE_START(),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, 88, 0, 0, NULL),
									GEO_OPEN_NODE(),
										GEO_ASM(1, geo_mario_hand_foot_scaler),
										GEO_SCALE(LAYER_FORCE, 65536),
										GEO_OPEN_NODE(),
											GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Left_Hand_DL_mesh_layer_1),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless_jump_assets_Right_Hand_Open),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, 69, 20, -61, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_2_Torso_Rotation_Right_Arm_Color_mesh_layer_1),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 40, 0, 0, assets_2_Torso_Rotation_Right_Forearm_mesh_layer_1),
						GEO_OPEN_NODE(),
							GEO_SWITCH_CASE(0, geo_switch_mario_hand),
							GEO_OPEN_NODE(),
								GEO_NODE_START(),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, 84, 0, 0, NULL),
									GEO_OPEN_NODE(),
										GEO_ASM(0, geo_mario_hand_foot_scaler),
										GEO_SCALE(LAYER_FORCE, 65536),
										GEO_OPEN_NODE(),
											GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Right_Hand_DL_mesh_layer_1),
										GEO_CLOSE_NODE(),
										GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless_jump_assets_Left_Hand_Open),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless_jump_assets_Left_Hand_Peace),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless_jump_assets_Left_Hand_Cap),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless_jump_assets_Left_Hand_Wing_Cap),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_4_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Half_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_4_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Closed_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt4[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_4_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Half_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt5[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_4_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Closed_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt6[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt7[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, -20, -8, 0, assets_Butt_mesh_layer_1),
			GEO_OPEN_NODE(),
				GEO_ASM(0, geo_move_mario_part_from_parent),
				GEO_ASM(0, geo_mario_tilt_torso),
				GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
				GEO_OPEN_NODE(),
					GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
					GEO_OPEN_NODE(),
						GEO_NODE_START(),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_TRANSPARENT, 8, 3, 0, assets_Torso_mesh_layer_1),
							GEO_OPEN_NODE(),
								GEO_ASM(0, geo_switch_mario_cap_on_off),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 165, 0, 0, NULL),
								GEO_OPEN_NODE(),
									GEO_ASM(0, geo_mario_head_rotation),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
										GEO_OPEN_NODE(),
											GEO_NODE_START(),
											GEO_OPEN_NODE(),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_4),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5),
											GEO_CLOSE_NODE(),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt1),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt2),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt3),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt4),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt5),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt6),
											GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_Hatless_Switch_opt0_Eye_Material_Switch_opt7),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 128, 20, 59, NULL),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_Left_Arm_Color_mesh_layer_1),
									GEO_OPEN_NODE(),
										GEO_ANIMATED_PART(LAYER_TRANSPARENT, 39, 0, 0, assets_Left_Forearm_mesh_layer_1),
										GEO_OPEN_NODE(),
											GEO_SWITCH_CASE(1, geo_switch_mario_hand),
											GEO_OPEN_NODE(),
												GEO_NODE_START(),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 88, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ASM(1, geo_mario_hand_foot_scaler),
														GEO_SCALE(LAYER_FORCE, 65536),
														GEO_OPEN_NODE(),
															GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_DL_mesh_layer_1),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Right_Hand_Open),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_TRANSLATE_ROTATE(LAYER_FORCE, 104, -113, 75, -15, 33, -133),
								GEO_OPEN_NODE(),
									GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Wing_DL_mesh_layer_4),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 129, 20, -61, NULL),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_Right_Arm_Color_mesh_layer_1),
									GEO_OPEN_NODE(),
										GEO_ANIMATED_PART(LAYER_TRANSPARENT, 40, 0, 0, assets_Right_Forearm_mesh_layer_1),
										GEO_OPEN_NODE(),
											GEO_SWITCH_CASE(0, geo_switch_mario_hand),
											GEO_OPEN_NODE(),
												GEO_NODE_START(),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 84, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ASM(0, geo_mario_hand_foot_scaler),
														GEO_SCALE(LAYER_FORCE, 65536),
														GEO_OPEN_NODE(),
															GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Hand_DL_mesh_layer_1),
														GEO_CLOSE_NODE(),
														GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Open),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Peace),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Cap),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Left_Hand_Wing_Cap),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_TRANSLATE_ROTATE(LAYER_FORCE, 104, -113, -78, 15, -33, -133),
								GEO_OPEN_NODE(),
									GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Wing_DL_mesh_layer_4),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1_jump_assets_Mario_capless),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -7, -8, 60, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_Left_Thigh_Color_mesh_layer_1),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 57, 0, 0, assets_Left_Leg_mesh_layer_1),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_TRANSPARENT, 63, 0, 0, assets_Left_Shoe_mesh_layer_1),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -7, -8, -63, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_Right_Thigh_Color_mesh_layer_1),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 57, 0, 0, assets_Right_Leg_mesh_layer_1),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 63, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ASM(2, geo_mario_hand_foot_scaler),
								GEO_SCALE(LAYER_FORCE, 65536),
								GEO_OPEN_NODE(),
									GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Shoe_DL_mesh_layer_1),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Open_Switch_Option_Left_Hand_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_OPEN_NODE(),
			GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Peace_Switch_Option_Left_Hand_Peace_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Switch_Option_Left_Hand_Cap_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_OPEN_NODE(),
			GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_skinned_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_4_mat_override_Metal__METAL__0),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless_jump_assets_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless_jump_assets_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Open_Switch_Option_Left_Hand_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_OPEN_NODE(),
			GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless_jump_assets_Left_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Peace_Switch_Option_Left_Hand_Peace_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless_jump_assets_Left_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Switch_Option_Left_Hand_Cap_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless_jump_assets_Left_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 60, 0, 0, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_OPEN_NODE(),
			GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_skinned_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_4_mat_override_Metal__METAL__0),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 173, 3, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_OPAQUE, -101, 3, 0, assets_2_Torso_Rotation_Torso_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_OPEN_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, 105, 0, 0, NULL),
				GEO_OPEN_NODE(),
					GEO_ASM(0, geo_mario_head_rotation),
					GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
					GEO_OPEN_NODE(),
						GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
						GEO_OPEN_NODE(),
							GEO_NODE_START(),
							GEO_OPEN_NODE(),
								GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Metal__METAL__0),
								GEO_DISPLAY_LIST(LAYER_ALPHA, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Metal__METAL__0),
								GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Metal__METAL__0),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, 68, 20, 59, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_2_Torso_Rotation_Left_Arm_Color_mesh_layer_1_mat_override_Metal__METAL__0),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 39, 0, 0, assets_2_Torso_Rotation_Left_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_SWITCH_CASE(1, geo_switch_mario_hand),
							GEO_OPEN_NODE(),
								GEO_NODE_START(),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, 88, 0, 0, NULL),
									GEO_OPEN_NODE(),
										GEO_ASM(1, geo_mario_hand_foot_scaler),
										GEO_SCALE(LAYER_FORCE, 65536),
										GEO_OPEN_NODE(),
											GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Left_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless_jump_assets_Right_Hand_Open),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, 69, 20, -61, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_2_Torso_Rotation_Right_Arm_Color_mesh_layer_1_mat_override_Metal__METAL__0),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 40, 0, 0, assets_2_Torso_Rotation_Right_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_SWITCH_CASE(0, geo_switch_mario_hand),
							GEO_OPEN_NODE(),
								GEO_NODE_START(),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, 84, 0, 0, NULL),
									GEO_OPEN_NODE(),
										GEO_ASM(0, geo_mario_hand_foot_scaler),
										GEO_SCALE(LAYER_FORCE, 65536),
										GEO_OPEN_NODE(),
											GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_2_Torso_Rotation_Right_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
										GEO_CLOSE_NODE(),
										GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless_jump_assets_Left_Hand_Open),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless_jump_assets_Left_Hand_Peace),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless_jump_assets_Left_Hand_Cap),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless_jump_assets_Left_Hand_Wing_Cap),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_OPAQUE, -20, -8, 0, assets_Butt_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_OPEN_NODE(),
				GEO_ASM(0, geo_move_mario_part_from_parent),
				GEO_ASM(0, geo_mario_tilt_torso),
				GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
				GEO_OPEN_NODE(),
					GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
					GEO_OPEN_NODE(),
						GEO_NODE_START(),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 8, 3, 0, assets_Torso_mesh_layer_1_mat_override_Metal__METAL__0),
							GEO_OPEN_NODE(),
								GEO_ASM(0, geo_switch_mario_cap_on_off),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 165, 0, 0, NULL),
								GEO_OPEN_NODE(),
									GEO_ASM(0, geo_mario_head_rotation),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
										GEO_OPEN_NODE(),
											GEO_NODE_START(),
											GEO_OPEN_NODE(),
												GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_Metal__METAL__0),
												GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Head_DL_mesh_layer_4_mat_override_Metal__METAL__0),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Metal__METAL__0),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 128, 20, 59, NULL),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_Left_Arm_Color_mesh_layer_1_mat_override_Metal__METAL__0),
									GEO_OPEN_NODE(),
										GEO_ANIMATED_PART(LAYER_OPAQUE, 39, 0, 0, assets_Left_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
										GEO_OPEN_NODE(),
											GEO_SWITCH_CASE(1, geo_switch_mario_hand),
											GEO_OPEN_NODE(),
												GEO_NODE_START(),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 88, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ASM(1, geo_mario_hand_foot_scaler),
														GEO_SCALE(LAYER_FORCE, 65536),
														GEO_OPEN_NODE(),
															GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Left_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Right_Hand_Open),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_TRANSLATE_ROTATE(LAYER_FORCE, 104, -113, 75, -15, 33, -133),
								GEO_OPEN_NODE(),
									GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Left_Wing_DL_mesh_layer_4_mat_override_Metal__METAL__0),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 129, 20, -61, NULL),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_Right_Arm_Color_mesh_layer_1_mat_override_Metal__METAL__0),
									GEO_OPEN_NODE(),
										GEO_ANIMATED_PART(LAYER_OPAQUE, 40, 0, 0, assets_Right_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
										GEO_OPEN_NODE(),
											GEO_SWITCH_CASE(0, geo_switch_mario_hand),
											GEO_OPEN_NODE(),
												GEO_NODE_START(),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 84, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ASM(0, geo_mario_hand_foot_scaler),
														GEO_SCALE(LAYER_FORCE, 65536),
														GEO_OPEN_NODE(),
															GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Right_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
														GEO_CLOSE_NODE(),
														GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Open),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Peace),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Cap),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Left_Hand_Wing_Cap),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_TRANSLATE_ROTATE(LAYER_FORCE, 104, -113, -78, 15, -33, -133),
								GEO_OPEN_NODE(),
									GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Right_Wing_DL_mesh_layer_4_mat_override_Metal__METAL__0),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2_jump_assets_Mario_capless),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -7, -8, 60, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_Left_Thigh_Color_mesh_layer_1_mat_override_Metal__METAL__0),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 57, 0, 0, assets_Left_Leg_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 63, 0, 0, assets_Left_Shoe_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -7, -8, -63, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_Right_Thigh_Color_mesh_layer_1_mat_override_Metal__METAL__0),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_OPAQUE, 57, 0, 0, assets_Right_Leg_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 63, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ASM(2, geo_mario_hand_foot_scaler),
								GEO_SCALE(LAYER_FORCE, 65536),
								GEO_OPEN_NODE(),
									GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Right_Shoe_DL_mesh_layer_1_mat_override_Metal__METAL__0),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Open_Switch_Option_Left_Hand_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_OPEN_NODE(),
			GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Peace_Switch_Option_Left_Hand_Peace_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Switch_Option_Left_Hand_Cap_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_OPEN_NODE(),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_skinned_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_4_mat_override_Metal__METAL__0),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless_jump_assets_Right_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Right_Hand_Open_Switch_Option_Right_Hand_Open_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless_jump_assets_Left_Hand_Open[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Open_Switch_Option_Left_Hand_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_OPEN_NODE(),
			GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless_jump_assets_Left_Hand_Peace[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Peace_Switch_Option_Left_Hand_Peace_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless_jump_assets_Left_Hand_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Switch_Option_Left_Hand_Cap_mesh_layer_1_mat_override_Metal__METAL__0),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless_jump_assets_Left_Hand_Wing_Cap[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_TRANSPARENT, 60, 0, 0, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Switch_mesh_layer_1_mat_override_Metal__METAL__0),
		GEO_OPEN_NODE(),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_skinned_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_Wing_Switch_Option_Left_Hand_Wing_Cap_mesh_layer_4_mat_override_Metal__METAL__0),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_TRANSLATE_ROTATE(LAYER_OPAQUE, 173, 3, 0, 0, 0, 0),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, -101, 3, 0, assets_2_Torso_Rotation_Torso_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_OPEN_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, 105, 0, 0, NULL),
				GEO_OPEN_NODE(),
					GEO_ASM(0, geo_mario_head_rotation),
					GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
					GEO_OPEN_NODE(),
						GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
						GEO_OPEN_NODE(),
							GEO_NODE_START(),
							GEO_OPEN_NODE(),
								GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_1_mat_override_Metal__METAL__0),
								GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_4_mat_override_Metal__METAL__0),
								GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Head_DL_mesh_layer_5_mat_override_Metal__METAL__0),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, 68, 20, 59, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_2_Torso_Rotation_Left_Arm_Color_mesh_layer_1_mat_override_Metal__METAL__0),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 39, 0, 0, assets_2_Torso_Rotation_Left_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_SWITCH_CASE(1, geo_switch_mario_hand),
							GEO_OPEN_NODE(),
								GEO_NODE_START(),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, 88, 0, 0, NULL),
									GEO_OPEN_NODE(),
										GEO_ASM(1, geo_mario_hand_foot_scaler),
										GEO_SCALE(LAYER_FORCE, 65536),
										GEO_OPEN_NODE(),
											GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Left_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless_jump_assets_Right_Hand_Open),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, 69, 20, -61, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_2_Torso_Rotation_Right_Arm_Color_mesh_layer_1_mat_override_Metal__METAL__0),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 40, 0, 0, assets_2_Torso_Rotation_Right_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_SWITCH_CASE(0, geo_switch_mario_hand),
							GEO_OPEN_NODE(),
								GEO_NODE_START(),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, 84, 0, 0, NULL),
									GEO_OPEN_NODE(),
										GEO_ASM(0, geo_mario_hand_foot_scaler),
										GEO_SCALE(LAYER_FORCE, 65536),
										GEO_OPEN_NODE(),
											GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_2_Torso_Rotation_Right_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
										GEO_CLOSE_NODE(),
										GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless_jump_assets_Left_Hand_Open),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless_jump_assets_Left_Hand_Peace),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless_jump_assets_Left_Hand_Cap),
								GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless_jump_assets_Left_Hand_Wing_Cap),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
		GEO_OPEN_NODE(),
			GEO_ANIMATED_PART(LAYER_TRANSPARENT, -20, -8, 0, assets_Butt_mesh_layer_1_mat_override_Metal__METAL__0),
			GEO_OPEN_NODE(),
				GEO_ASM(0, geo_move_mario_part_from_parent),
				GEO_ASM(0, geo_mario_tilt_torso),
				GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
				GEO_OPEN_NODE(),
					GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
					GEO_OPEN_NODE(),
						GEO_NODE_START(),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_TRANSPARENT, 8, 3, 0, assets_Torso_mesh_layer_1_mat_override_Metal__METAL__0),
							GEO_OPEN_NODE(),
								GEO_ASM(0, geo_switch_mario_cap_on_off),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 165, 0, 0, NULL),
								GEO_OPEN_NODE(),
									GEO_ASM(0, geo_mario_head_rotation),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
										GEO_OPEN_NODE(),
											GEO_NODE_START(),
											GEO_OPEN_NODE(),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_1_mat_override_Metal__METAL__0),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_4_mat_override_Metal__METAL__0),
												GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Metal__METAL__0),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 128, 20, 59, NULL),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_Left_Arm_Color_mesh_layer_1_mat_override_Metal__METAL__0),
									GEO_OPEN_NODE(),
										GEO_ANIMATED_PART(LAYER_TRANSPARENT, 39, 0, 0, assets_Left_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
										GEO_OPEN_NODE(),
											GEO_SWITCH_CASE(1, geo_switch_mario_hand),
											GEO_OPEN_NODE(),
												GEO_NODE_START(),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 88, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ASM(1, geo_mario_hand_foot_scaler),
														GEO_SCALE(LAYER_FORCE, 65536),
														GEO_OPEN_NODE(),
															GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Right_Hand_Open),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_TRANSLATE_ROTATE(LAYER_FORCE, 104, -113, 75, -15, 33, -133),
								GEO_OPEN_NODE(),
									GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Left_Wing_DL_mesh_layer_4_mat_override_Metal__METAL__0),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 129, 20, -61, NULL),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_Right_Arm_Color_mesh_layer_1_mat_override_Metal__METAL__0),
									GEO_OPEN_NODE(),
										GEO_ANIMATED_PART(LAYER_TRANSPARENT, 40, 0, 0, assets_Right_Forearm_mesh_layer_1_mat_override_Metal__METAL__0),
										GEO_OPEN_NODE(),
											GEO_SWITCH_CASE(0, geo_switch_mario_hand),
											GEO_OPEN_NODE(),
												GEO_NODE_START(),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 84, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ASM(0, geo_mario_hand_foot_scaler),
														GEO_SCALE(LAYER_FORCE, 65536),
														GEO_OPEN_NODE(),
															GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Hand_DL_mesh_layer_1_mat_override_Metal__METAL__0),
														GEO_CLOSE_NODE(),
														GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Open),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Peace),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Cap),
												GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Left_Hand_Wing_Cap),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
								GEO_TRANSLATE_ROTATE(LAYER_FORCE, 104, -113, -78, 15, -33, -133),
								GEO_OPEN_NODE(),
									GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
									GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
									GEO_OPEN_NODE(),
										GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Wing_DL_mesh_layer_4_mat_override_Metal__METAL__0),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
						GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3_jump_assets_Mario_capless),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -7, -8, 60, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_Left_Thigh_Color_mesh_layer_1_mat_override_Metal__METAL__0),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 57, 0, 0, assets_Left_Leg_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_TRANSPARENT, 63, 0, 0, assets_Left_Shoe_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ANIMATED_PART(LAYER_OPAQUE, -7, -8, -63, NULL),
				GEO_OPEN_NODE(),
					GEO_ANIMATED_PART(LAYER_TRANSPARENT, 0, 0, 0, assets_Right_Thigh_Color_mesh_layer_1_mat_override_Metal__METAL__0),
					GEO_OPEN_NODE(),
						GEO_ANIMATED_PART(LAYER_TRANSPARENT, 57, 0, 0, assets_Right_Leg_mesh_layer_1_mat_override_Metal__METAL__0),
						GEO_OPEN_NODE(),
							GEO_ANIMATED_PART(LAYER_OPAQUE, 63, 0, 0, NULL),
							GEO_OPEN_NODE(),
								GEO_ASM(2, geo_mario_hand_foot_scaler),
								GEO_SCALE(LAYER_FORCE, 65536),
								GEO_OPEN_NODE(),
									GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Right_Shoe_DL_mesh_layer_1_mat_override_Metal__METAL__0),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt1[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Head_DL_mesh_layer_4_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Half_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt2[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Head_DL_mesh_layer_4_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Closed_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt3[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt4[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Head_DL_mesh_layer_4_mat_override_Half_1),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Half_1),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt5[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Head_DL_mesh_layer_4_mat_override_Closed_2),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Closed_2),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt6[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt7[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Head_DL_mesh_layer_4_mat_override_Dead_3),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5_mat_override_Dead_3),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};
const GeoLayout luigi_geo[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_SHADOW(1, 180, 100),
		GEO_OPEN_NODE(),
			GEO_SCALE(LAYER_FORCE, 16384),
			GEO_OPEN_NODE(),
				GEO_ASM(0, geo_mirror_mario_backface_culling),
				GEO_ASM(0, geo_mario_set_player_colors),
				GEO_ASM(0, geo_mirror_mario_set_alpha),
				GEO_SWITCH_CASE(0, geo_switch_mario_stand_run),
				GEO_OPEN_NODE(),
					GEO_NODE_START(),
					GEO_OPEN_NODE(),
						GEO_SWITCH_CASE(0, geo_switch_mario_cap_effect),
						GEO_OPEN_NODE(),
							GEO_NODE_START(),
							GEO_OPEN_NODE(),
								GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, NULL),
								GEO_OPEN_NODE(),
									GEO_ANIMATED_PART(LAYER_OPAQUE, -20, -8, 0, assets_Butt_mesh_layer_1),
									GEO_OPEN_NODE(),
										GEO_ASM(0, geo_move_mario_part_from_parent),
										GEO_ASM(0, geo_mario_tilt_torso),
										GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
										GEO_OPEN_NODE(),
											GEO_SWITCH_CASE(0, geo_switch_mario_cap_on_off),
											GEO_OPEN_NODE(),
												GEO_NODE_START(),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 8, 3, 0, assets_Torso_mesh_layer_1),
													GEO_OPEN_NODE(),
														GEO_ASM(0, geo_switch_mario_cap_on_off),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 165, 0, 0, NULL),
														GEO_OPEN_NODE(),
															GEO_ASM(0, geo_mario_head_rotation),
															GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
															GEO_OPEN_NODE(),
																GEO_SWITCH_CASE(0, geo_switch_mario_eyes),
																GEO_OPEN_NODE(),
																	GEO_NODE_START(),
																	GEO_OPEN_NODE(),
																		GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Head_DL_mesh_layer_1),
																		GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Head_DL_mesh_layer_4),
																		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, assets_Head_DL_mesh_layer_5),
																	GEO_CLOSE_NODE(),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt1),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt2),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt3),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt4),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt5),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt6),
																	GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt0_Hatless_Switch_opt0_Eye_Material_Switch_opt7),
																GEO_CLOSE_NODE(),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 128, 20, 59, NULL),
														GEO_OPEN_NODE(),
															GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_Left_Arm_Color_mesh_layer_1),
															GEO_OPEN_NODE(),
																GEO_ANIMATED_PART(LAYER_OPAQUE, 39, 0, 0, assets_Left_Forearm_mesh_layer_1),
																GEO_OPEN_NODE(),
																	GEO_SWITCH_CASE(1, geo_switch_mario_hand),
																	GEO_OPEN_NODE(),
																		GEO_NODE_START(),
																		GEO_OPEN_NODE(),
																			GEO_ANIMATED_PART(LAYER_OPAQUE, 88, 0, 0, NULL),
																			GEO_OPEN_NODE(),
																				GEO_ASM(1, geo_mario_hand_foot_scaler),
																				GEO_SCALE(LAYER_FORCE, 65536),
																				GEO_OPEN_NODE(),
																					GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Left_Hand_DL_mesh_layer_1),
																				GEO_CLOSE_NODE(),
																			GEO_CLOSE_NODE(),
																		GEO_CLOSE_NODE(),
																		GEO_BRANCH(1, assets_Right_Hand_Open),
																	GEO_CLOSE_NODE(),
																GEO_CLOSE_NODE(),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
														GEO_TRANSLATE_ROTATE(LAYER_FORCE, 104, -113, 75, -15, 33, -133),
														GEO_OPEN_NODE(),
															GEO_ASM(1, geo_mario_rotate_wing_cap_wings),
															GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
															GEO_OPEN_NODE(),
																GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Left_Wing_DL_mesh_layer_4),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
														GEO_ANIMATED_PART(LAYER_OPAQUE, 129, 20, -61, NULL),
														GEO_OPEN_NODE(),
															GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_Right_Arm_Color_mesh_layer_1),
															GEO_OPEN_NODE(),
																GEO_ANIMATED_PART(LAYER_OPAQUE, 40, 0, 0, assets_Right_Forearm_mesh_layer_1),
																GEO_OPEN_NODE(),
																	GEO_SWITCH_CASE(0, geo_switch_mario_hand),
																	GEO_OPEN_NODE(),
																		GEO_NODE_START(),
																		GEO_OPEN_NODE(),
																			GEO_ANIMATED_PART(LAYER_OPAQUE, 84, 0, 0, NULL),
																			GEO_OPEN_NODE(),
																				GEO_ASM(0, geo_mario_hand_foot_scaler),
																				GEO_SCALE(LAYER_FORCE, 65536),
																				GEO_OPEN_NODE(),
																					GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Right_Hand_DL_mesh_layer_1),
																				GEO_CLOSE_NODE(),
																				GEO_HELD_OBJECT(0, 0, 0, 0, geo_switch_mario_hand_grab_pos),
																			GEO_CLOSE_NODE(),
																		GEO_CLOSE_NODE(),
																		GEO_BRANCH(1, assets_Left_Hand_Open),
																		GEO_BRANCH(1, assets_Left_Hand_Peace),
																		GEO_BRANCH(1, assets_Left_Hand_Cap),
																		GEO_BRANCH(1, assets_Left_Hand_Wing_Cap),
																	GEO_CLOSE_NODE(),
																GEO_CLOSE_NODE(),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
														GEO_TRANSLATE_ROTATE(LAYER_FORCE, 104, -113, -78, 15, -33, -133),
														GEO_OPEN_NODE(),
															GEO_ASM(0, geo_mario_rotate_wing_cap_wings),
															GEO_ROTATION_NODE(LAYER_FORCE, 0, 0, 0),
															GEO_OPEN_NODE(),
																GEO_DISPLAY_LIST(LAYER_ALPHA, assets_Right_Wing_DL_mesh_layer_4),
															GEO_CLOSE_NODE(),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
												GEO_BRANCH(1, assets_Mario_capless),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_ANIMATED_PART(LAYER_OPAQUE, -7, -8, 60, NULL),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_Left_Thigh_Color_mesh_layer_1),
											GEO_OPEN_NODE(),
												GEO_ANIMATED_PART(LAYER_OPAQUE, 57, 0, 0, assets_Left_Leg_mesh_layer_1),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 63, 0, 0, assets_Left_Shoe_mesh_layer_1),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
										GEO_ANIMATED_PART(LAYER_OPAQUE, -7, -8, -63, NULL),
										GEO_OPEN_NODE(),
											GEO_ANIMATED_PART(LAYER_OPAQUE, 0, 0, 0, assets_Right_Thigh_Color_mesh_layer_1),
											GEO_OPEN_NODE(),
												GEO_ANIMATED_PART(LAYER_OPAQUE, 57, 0, 0, assets_Right_Leg_mesh_layer_1),
												GEO_OPEN_NODE(),
													GEO_ANIMATED_PART(LAYER_OPAQUE, 63, 0, 0, NULL),
													GEO_OPEN_NODE(),
														GEO_ASM(2, geo_mario_hand_foot_scaler),
														GEO_SCALE(LAYER_FORCE, 65536),
														GEO_OPEN_NODE(),
															GEO_DISPLAY_LIST(LAYER_OPAQUE, assets_Right_Shoe_DL_mesh_layer_1),
														GEO_CLOSE_NODE(),
													GEO_CLOSE_NODE(),
												GEO_CLOSE_NODE(),
											GEO_CLOSE_NODE(),
										GEO_CLOSE_NODE(),
									GEO_CLOSE_NODE(),
								GEO_CLOSE_NODE(),
							GEO_CLOSE_NODE(),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt1),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt2),
							GEO_BRANCH(1, assets_2_LoD_Switch_opt0_Cap_Effect_Switch_opt3),
						GEO_CLOSE_NODE(),
					GEO_CLOSE_NODE(),
				GEO_CLOSE_NODE(),
				GEO_ASM(1, geo_mirror_mario_backface_culling),
			GEO_CLOSE_NODE(),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_END(),
};
